"""Raspberry Pi Face Recognition Coffee Maker
Configuration constants for Face Cafe

Copyright 2016 Andrew Palmer (ajp294) 

"""

# Edit the values below to configure the training and usage of the
# face recognition box.

# FINDME: hardcoding the NAME variable to use throughout program
# *** Deprecated
USER_NAME = ''

# Users file storing names and coffee preferences
USERS_FILE = 'deliverEz_users.txt'


# Pi GPIO port which is connected to the button.
BUTTON_PIN = 25

# Threshold for the confidence of a recognized face before it's considered a
# positive match.  Confidence values below this threshold will be considered
# a positive match because the lower the confidence value, or distance, the
# more confident the algorithm is that the face was correctly detected.
# Start with a value of 3000, but you might need to tweak this value down if 
# you're getting too many false positives (incorrectly recognized faces), or up
# if too many false negatives (undetected faces).
POSITIVE_THRESHOLD = 2500.0

# File to save and load face recognizer model.
# FINDME: parameterize this with username
TRAINING_FILE = 'training'

# Directories which contain the positive and negative training image data.
# FINDME: also need to parameterize based on name
POSITIVE_DIR = './training/positive'
NEGATIVE_DIR = './training/negative'

# Value for positive and negative labels passed to face recognition model.
# Can be any integer values, but must be unique from each other.
# You shouldn't have to change these values.
POSITIVE_LABEL = 1
NEGATIVE_LABEL = 2

# Size (in pixels) to resize images for training and prediction.
# Don't change this unless you also change the size of the training images.
FACE_WIDTH  = 92
FACE_HEIGHT = 112

# Face detection cascade classifier configuration.
# You don't need to modify this unless you know what you're doing.
# See: http://docs.opencv.org/modules/objdetect/doc/cascade_classification.html
HAAR_FACES         = 'haarcascade_frontalface_alt.xml'
HAAR_SCALE_FACTOR  = 1.3
HAAR_MIN_NEIGHBORS = 4
HAAR_MIN_SIZE      = (30, 30)

def get_camera():	
	# Camera to use for capturing images.
	# Use this code for capturing from the Pi camera:
	import picam
	return picam.OpenCVCapture()
