// Program to capture images using Raspicam
// Andrew Palmer ajp294
// 21 October 2016
// TODO: Take a bunch of images and save their paths to a training.csv file so that openCV can just read the csv file when training the model
// Also want to capture more than 1 image and save to a different filename/entry in the csv file

#include <raspicam/raspicam_cv.h>
#include "opencv2/core/core.hpp"
#include <stdio.h>

using namespace std;

cv::Mat captureImage(void) // char * filename)
{
   // number of frames to capture
   int frames = 50;

   // initialize raspicam class
   raspicam::RaspiCam_Cv Camera;

   // initialize cv image type
   cv::Mat image;

   // set camera params
   Camera.set(CV_CAP_PROP_FORMAT, CV_8UC1);

   // Open camera
   if (!Camera.open()) {
      printf("Error opening camera!\n");
      // return -1;
      exit(1);
   }

   for (int i = 0; i < frames; i++) {
      // Capture image
      Camera.grab();
      Camera.retrieve(image);
   }

   // Release camera
   Camera.release();

   // flip and save image
   cv::flip(image, image, 0);
   // cv::imwrite(filename, image);

   // return image
   return image;
}

