// Configuration header file for DeliverEZ program
// Copyright 2016 Andrew Palmer (ajp294)
// 21 October 2016

// Defines
// File for program user database
#define USERS_FILE "deliverEz_users.txt"

// Training file
#define TRAINING_FILE "training"

// Positive and negative directories
#define POSITIVE_DIR "./training/positive"
#define NEGATIVE_DIR "./training/negative"

// Threshold for positive face match (Lower is more confident in a match)
#define POSITIVE_THRESHOLD 2000

// positive and negative training values.. must be unique from each other but arbitrary choices
#define POSITIVE_LABEL 1
#define NEGATIVE_LABEL 2

// Size in pixels to resize images for training and prediction
#define FACE_WIDTH 92
#define FACE_HEIGHT 112

// face detection cascade classifier configuration
#define HAAR_FACES "haarcascade_frontalface_alt.xml"
#define HAAR_SCALE_FACTOR 1.3
#define HAAR_MIN_NEIGHBORS 4
#define HAAR_MIN_SIZE 30 // python config has it (30, 30) but need to figure out C++ way to do this
