// Test of raspicam library
// Andrew Palmer ajp294
// 21 October 2016

#include <ctime>
#include <iostream>
#include <raspicam/raspicam_cv.h>

using namespace std;

int main(int argc, char ** argv)
{
   time_t timer_begin, timer_end;
   raspicam::RaspiCam_Cv Camera;
   cv::Mat image;
   int nCount = 100;

   // set camera params
   Camera.set(CV_CAP_PROP_FORMAT, CV_8UC1);

   // Open Camera
   cout << "Opening Camera... " << endl;
   if (!Camera.open()) { 
      cerr << "Error opening the camera" << endl; 
      return -1;
   }

   // Start Capture
   cout << "Capturing " << nCount << " Frames ..." << endl;
   time(&timer_begin);
   for (int i = 0; i < nCount; i++) {
      Camera.grab();
      Camera.retrieve(image);
      if (i % 5 == 0) cout << "\r captured " <<i<< " images" << std::flush;
   }

   // stop camera
   cout << "stopping camera" << endl;
   Camera.release();

   // save image
   cv::imwrite("raspicam_cv_image.jpg", image);
   cout << "image saved at raspicam_cv_image.jpg" << endl;

}
