"""Raspberry Pi Face Recognition Coffee Maker
Top level program for displaying and interacting with user interface.
Program calls training and recognizing programs from here
Copyright 2016 Andrew Palmer (ajp294) 

"""


import pygame
import os
import time, sys
import RPi.GPIO as GPIO
from pygame.locals import *

import capture_and_train
import recognize_and_access

print("Welcome to DeliverEZ!")

# Load user models (if any exist) on startup 
try:
   user_preferences, user_models = recognize_and_access.loadUserModels()
except:
   print("No users in database, please add user")

print("User Models Loaded!")
print("To add a new user, enter a. To gain access to building, enter e")
print("To quit program, enter q")
# Main execution loop
while(1):

   time.sleep(0.2)
   x = raw_input("To add user, enter a.  To gain access, enter e. To quit, enter q. Choice: ")

   if (x == 'a'):
      # Capture new user images and train new user model
      capture_and_train.main()

      # Once new user's model has been created, load it into memory
      user_preferences, user_models = recognize_and_access.loadUserModels()

   elif (x == 'e'):
      # Check current user and allow access if they're recognized
      if len(user_models) == 0:
         print("No users registered. Please add new user")
      else:
         recognize_and_access.recognizeAndAccess(user_preferences, user_models)
   elif (x == 'q'):
      print("Quitting DeliverEZ")
      sys.exit()
