"""Raspberry Pi Face Recognition Treasure Box
Face Recognition Training Script
Copyright 2013 Tony DiCola 

*** Altered for Face Cafe***
Copyright 2016 Andrew Palmer

Run this script to train the face recognition system with positive and negative
training images.  The face recognition model is based on the eigen faces
algorithm implemented in OpenCV.  You can find more details on the algorithm
and face recognition here:
  http://docs.opencv.org/modules/contrib/doc/facerec/facerec_tutorial.html
"""
import fnmatch
import os

import cv2
import numpy as np

import config
import face

class Training(object):

   def walk_files(self, directory, match='*'):
      """Generator function to iterate through all files in a directory recursively
      which match the given filename match parameter.
      """
      for root, dirs, files in os.walk(directory):
         for filename in fnmatch.filter(files, match):
            yield os.path.join(root, filename)
   
   def prepare_image(self, filename):
      """Read an image as grayscale and resize it to the appropriate size for
      training the face recognition model.
      """
      return face.resize(cv2.imread(filename, cv2.IMREAD_GRAYSCALE))
